Remote denial of service in SymCrypt library in Microsoft Windows

Published: 2019-06-13 | Updated: 2019-06-13
Severity Medium
Patch available NO
Number of vulnerabilities 1
CVE ID N/A
CWE ID CWE-310
Exploitation vector Network
Public exploit Public exploit code for vulnerability #1 is available.
Vulnerable software SymCrypt Subscribe
Windows
Windows Server
Vendor Microsoft

Security Advisory

This security advisory describes one medium risk vulnerability.

1) Cryptographic issues

Severity: Medium

CVSSv3: 5.6 [CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H/E:P/RL:U/RC:C] [PCI]

CVE-ID: N/A

CWE-ID: CWE-310 - Cryptographic Issues

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to an error when calculating the modular inverse on specific bit patterns with bcryptprimitives!SymCryptFdefModInvGeneric() function when processing X.509 certificates. A remote attacker can supply a specially crafted X.509 certificate to the affected system and trigger denial of service conditions.

Any application that uses the vulnerable library, e.g. antivirus software is susceptible to this issue.


Mitigation

Install updates from vendor's website.

Vulnerable software versions

SymCrypt: -

Windows: 8.1, 10 1511, 10 1607, 10 1703, 10 1709, 10 1803, 10 1809, 10 1903, 10 Gold, RT 8.1

Windows Server: 1709, 1803, 1903, 2012, 2012 Gold, 2012 R2, 2016, 2019

CPE External links

https://bugs.chromium.org/p/project-zero/issues/detail?id=1804

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote non-authenticated attacker via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability. However, proof of concept for this vulnerability is available.